<%@ Page Language="C#" %>
<%@ Import Namespace="System.IO" %>

<%
	BinaryReader br;
	FileStream fs;
	string filename;
	Stream stream;

	filename = Server.MapPath("myfile.bin");		
	stream = new FileStream( filename, FileMode.Open );

	br = new BinaryReader( stream );
		
	string s;
	long l;
	int i;
	char c;
	float f;
	Decimal d;
		
	s = br.ReadString();
	l = br.ReadInt64();
	i = br.ReadInt32();
	c = br.ReadChar();
	f = br.ReadSingle();
	d = br.ReadDecimal();

	stream.Close();
%>

